Package com.omnisci.thrift.server

## Class OmniSci.register_runtime_extension_functions_args

- java.lang.Object
- - com.omnisci.thrift.server.OmniSci.register_runtime_extension_functions_args

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<OmniSci.register_runtime_extension_functions_args>`, `org.apache.thrift.TBase<OmniSci.register_runtime_extension_functions_args,​OmniSci.register_runtime_extension_functions_args._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  OmniSci

    public static class OmniSci.register_runtime_extension_functions_args
    extends Object
    implements org.apache.thrift.TBase<OmniSci.register_runtime_extension_functions_args,​OmniSci.register_runtime_extension_functions_args._Fields>, Serializable, Cloneable, Comparable<OmniSci.register_runtime_extension_functions_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `OmniSci.register_runtime_extension_functions_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`Map<String,​String>` `device_ir_map`
`static Map<OmniSci.register_runtime_extension_functions_args._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `session`
`List<TUserDefinedFunction>` `udfs`
`List<TUserDefinedTableFunction>` `udtfs`

### Constructor Summary

Constructors
`register_runtime_extension_functions_args()`
`register_runtime_extension_functions_args​(OmniSci.register_runtime_extension_functions_args other)` Performs a deep copy on other.
`register_runtime_extension_functions_args​(String session, List<TUserDefinedFunction> udfs, List<TUserDefinedTableFunction> udtfs, Map<String,​String> device_ir_map)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToUdfs​(TUserDefinedFunction elem)`
`void` `addToUdtfs​(TUserDefinedTableFunction elem)`
`void` `clear()`
`int` `compareTo​(OmniSci.register_runtime_extension_functions_args other)`
`OmniSci.register_runtime_extension_functions_args` `deepCopy()`
`boolean` `equals​(OmniSci.register_runtime_extension_functions_args that)`
`boolean` `equals​(Object that)`
`OmniSci.register_runtime_extension_functions_args._Fields` `fieldForId​(int fieldId)`
`Map<String,​String>` `getDevice_ir_map()`
`int` `getDevice_ir_mapSize()`
`Object` `getFieldValue​(OmniSci.register_runtime_extension_functions_args._Fields field)`
`String` `getSession()`
`List<TUserDefinedFunction>` `getUdfs()`
`Iterator<TUserDefinedFunction>` `getUdfsIterator()`
`int` `getUdfsSize()`
`List<TUserDefinedTableFunction>` `getUdtfs()`
`Iterator<TUserDefinedTableFunction>` `getUdtfsIterator()`
`int` `getUdtfsSize()`
`int` `hashCode()`
`boolean` `isSet​(OmniSci.register_runtime_extension_functions_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetDevice_ir_map()` Returns true if field device_ir_map is set (has been assigned a value) and false otherwise
`boolean` `isSetSession()` Returns true if field session is set (has been assigned a value) and false otherwise
`boolean` `isSetUdfs()` Returns true if field udfs is set (has been assigned a value) and false otherwise
`boolean` `isSetUdtfs()` Returns true if field udtfs is set (has been assigned a value) and false otherwise
`void` `putToDevice_ir_map​(String key, String val)`
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`OmniSci.register_runtime_extension_functions_args` `setDevice_ir_map​(Map<String,​String> device_ir_map)`
`void` `setDevice_ir_mapIsSet​(boolean value)`
`void` `setFieldValue​(OmniSci.register_runtime_extension_functions_args._Fields field, Object value)`
`OmniSci.register_runtime_extension_functions_args` `setSession​(String session)`
`void` `setSessionIsSet​(boolean value)`
`OmniSci.register_runtime_extension_functions_args` `setUdfs​(List<TUserDefinedFunction> udfs)`
`void` `setUdfsIsSet​(boolean value)`
`OmniSci.register_runtime_extension_functions_args` `setUdtfs​(List<TUserDefinedTableFunction> udtfs)`
`void` `setUdtfsIsSet​(boolean value)`
`String` `toString()`
`void` `unsetDevice_ir_map()`
`void` `unsetSession()`
`void` `unsetUdfs()`
`void` `unsetUdtfs()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### session

    public String session

#### udfs

    public List<TUserDefinedFunction> udfs

#### udtfs

    public List<TUserDefinedTableFunction> udtfs

#### device_ir_map

    public Map<String,​String> device_ir_map

#### metaDataMap

    public static final Map<OmniSci.register_runtime_extension_functions_args._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### register_runtime_extension_functions_args

    public register_runtime_extension_functions_args()

#### register_runtime_extension_functions_args

    public register_runtime_extension_functions_args​(String session,
                                                     List<TUserDefinedFunction> udfs,
                                                     List<TUserDefinedTableFunction> udtfs,
                                                     Map<String,​String> device_ir_map)

#### register_runtime_extension_functions_args

    public register_runtime_extension_functions_args​(OmniSci.register_runtime_extension_functions_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public OmniSci.register_runtime_extension_functions_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<OmniSci.register_runtime_extension_functions_args,​OmniSci.register_runtime_extension_functions_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<OmniSci.register_runtime_extension_functions_args,​OmniSci.register_runtime_extension_functions_args._Fields>`

#### getSession

    public String getSession()

#### setSession

    public OmniSci.register_runtime_extension_functions_args setSession​(String session)

#### unsetSession

    public void unsetSession()

#### isSetSession

    public boolean isSetSession()

Returns true if field session is set (has been assigned a value) and false otherwise

#### setSessionIsSet

    public void setSessionIsSet​(boolean value)

#### getUdfsSize

    public int getUdfsSize()

#### getUdfsIterator

    public Iterator<TUserDefinedFunction> getUdfsIterator()

#### addToUdfs

    public void addToUdfs​(TUserDefinedFunction elem)

#### getUdfs

    public List<TUserDefinedFunction> getUdfs()

#### setUdfs

    public OmniSci.register_runtime_extension_functions_args setUdfs​(List<TUserDefinedFunction> udfs)

#### unsetUdfs

    public void unsetUdfs()

#### isSetUdfs

    public boolean isSetUdfs()

Returns true if field udfs is set (has been assigned a value) and false otherwise

#### setUdfsIsSet

    public void setUdfsIsSet​(boolean value)

#### getUdtfsSize

    public int getUdtfsSize()

#### getUdtfsIterator

    public Iterator<TUserDefinedTableFunction> getUdtfsIterator()

#### addToUdtfs

    public void addToUdtfs​(TUserDefinedTableFunction elem)

#### getUdtfs

    public List<TUserDefinedTableFunction> getUdtfs()

#### setUdtfs

    public OmniSci.register_runtime_extension_functions_args setUdtfs​(List<TUserDefinedTableFunction> udtfs)

#### unsetUdtfs

    public void unsetUdtfs()

#### isSetUdtfs

    public boolean isSetUdtfs()

Returns true if field udtfs is set (has been assigned a value) and false otherwise

#### setUdtfsIsSet

    public void setUdtfsIsSet​(boolean value)

#### getDevice_ir_mapSize

    public int getDevice_ir_mapSize()

#### putToDevice_ir_map

    public void putToDevice_ir_map​(String key,
                                   String val)

#### getDevice_ir_map

    public Map<String,​String> getDevice_ir_map()

#### setDevice_ir_map

    public OmniSci.register_runtime_extension_functions_args setDevice_ir_map​(Map<String,​String> device_ir_map)

#### unsetDevice_ir_map

    public void unsetDevice_ir_map()

#### isSetDevice_ir_map

    public boolean isSetDevice_ir_map()

Returns true if field device_ir_map is set (has been assigned a value) and false otherwise

#### setDevice_ir_mapIsSet

    public void setDevice_ir_mapIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(OmniSci.register_runtime_extension_functions_args._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<OmniSci.register_runtime_extension_functions_args,​OmniSci.register_runtime_extension_functions_args._Fields>`

#### getFieldValue

    public Object getFieldValue​(OmniSci.register_runtime_extension_functions_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<OmniSci.register_runtime_extension_functions_args,​OmniSci.register_runtime_extension_functions_args._Fields>`

#### isSet

    public boolean isSet​(OmniSci.register_runtime_extension_functions_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<OmniSci.register_runtime_extension_functions_args,​OmniSci.register_runtime_extension_functions_args._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(OmniSci.register_runtime_extension_functions_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(OmniSci.register_runtime_extension_functions_args other)

Specified by:
  `compareTo` in interface `Comparable<OmniSci.register_runtime_extension_functions_args>`

#### fieldForId

    public OmniSci.register_runtime_extension_functions_args._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<OmniSci.register_runtime_extension_functions_args,​OmniSci.register_runtime_extension_functions_args._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`